Bug 285153 - kmail2: missing filename entry in message body after deleting attachment
Summary: kmail2: missing filename entry in message body after deleting attachment
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.7
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-28 07:35 UTC by Peer Frank
Modified: 2012-06-04 18:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peer Frank 2011-10-28 07:35:49 UTC
Version:           4.7 (using KDE 4.7.2) 
OS:                Linux

after deleting an attachment from a message it's filename is no longer inserted to the message and header (as a reminder of what was attached).

Reproducible: Always

Steps to Reproduce:
delete attachment

Actual Results:  
no more trace of the attachment

Expected Results:  
filename of attachment inserted to message and header

OS: Linux (i686) release 2.6.37.6-0.7-default
Compiler: gcc
Comment 1 Peer Frank 2012-02-08 07:51:05 UTC
in v4.8 still badly missed
Comment 2 Peer Frank 2012-02-26 08:56:22 UTC
when deleting an attachment there is still no trace of it/no information about the file name(s) that were attached in the message. In addition when the attachments are removed the message size information is not corrected in the message list.
Comment 3 Laurent Montel 2012-06-04 17:58:51 UTC
Git commit 07ca5c17a18e227dc28c0a8bffda41482b3ef6a2 by Montel Laurent.
Committed on 04/06/2012 at 19:57.
Pushed by mlaurent into branch 'master'.

Bug 285153 - kmail2: missing filename entry in message body after

deleting attachment

Fixed as on thunderbird.
Related: bug 299497

FIXED-IN: 4.8.5

M  +56   -3    messageviewer/viewer_p.cpp

http://commits.kde.org/kdepim/07ca5c17a18e227dc28c0a8bffda41482b3ef6a2
Comment 4 Laurent Montel 2012-06-04 18:00:14 UTC
Git commit 110b0a29428e7654a3995f7ac4be0019155f7027 by Montel Laurent.
Committed on 04/06/2012 at 19:57.
Pushed by mlaurent into branch 'KDE/4.8'.

Bug 285153 - kmail2: missing filename entry in message body after

deleting attachment

Fixed as on thunderbird.
Related: bug 299497

FIXED-IN: 4.8.5
(cherry picked from commit 07ca5c17a18e227dc28c0a8bffda41482b3ef6a2)

Conflicts:

	messageviewer/viewer_p.cpp

M  +55   -2    messageviewer/viewer_p.cpp

http://commits.kde.org/kdepim/110b0a29428e7654a3995f7ac4be0019155f7027